Saturday, February 02, 2008

Okular and libspectre

Since KDE 4.0 okular has been using libspectre to render PS files. Due to libspectre being too new we decided to package it inside okular sources in the KDE 4.0.x tree. That has been corrected in trunk because everyone knows having other libraries inside your own source tree sucks, so for now on you need libspectre to get PS support on okular. The downside of that is that i could only find Debian and Pardus libspectre packages, so go to your distro and file a bug and tell them to package libspectre.

4 comments:

Kevin Kofler said...

Fedora Rawhide has libspectre already (recently imported by Matthias Clasen), and in fact I patched our kdegraphics-4.0.1 yesterday to build Okular against it. I also fixed the trunk to actually build against the system libspectre: rev769703.

Kevin Kofler said...

See kdegraphics/devel in cvs.fedoraproject.org for the patches we're applying.

Carsten Niehaus said...

Mandriva 2008.1 also has libspectre:

0.2.0-1mdv2008.1

randomguy3 said...

The Arch User Repository has libspectre for Arch users: http://aur.archlinux.org/packages.php?do_Details=1&ID=15026